package com.ksyun.model;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Map;

/**
 * 单条短信
 */
public class SmsInfo {
    @JsonProperty("Mobile")
    private String mobile;
    @JsonProperty("TplParams")
    private Map<String, String> tplParams;
    @JsonProperty("Content")
    private String content;

    public SmsInfo(String mobile, Map<String, String> tplParams, String content) {
        this.mobile = mobile;
        this.tplParams = tplParams;
        this.content = content;
    }

    public SmsInfo() {
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Map<String, String> getTplParams() {
        return tplParams;
    }

    public void setTplParams(Map<String, String> tplParams) {
        this.tplParams = tplParams;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
