package com.ksyun.util;

import com.ksyun.model.SmsInfo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


public class ParamAssemble {
    public static Map<String, String> buildSendSmsParams(String mobile, String tplId, Map<String, String> tplParams, String Content, String SmsType, String signName) {
        Map<String, String> params = new HashMap<String, String>();
        params.put("Mobile", mobile);
        params.put("SignName", signName);
        if (!tplId.isEmpty()) {
            params.put("TplId", tplId);
            params.put("TplParams", UtilAll.toJson(tplParams));
        } else {
            params.put("Content", Content);
            params.put("SmsType", SmsType);
        }
        return params;
    }

    public static Map<String, String> buildSendDiffSmsParams(List<SmsInfo> smsInfos, String tplId, String SmsType, String signName) {
        Map<String, String> params = new HashMap<String, String>();
        params.put("SmsList", UtilAll.toJson(smsInfos));
        params.put("SignName", signName);
        if (!tplId.isEmpty()) {
            params.put("TplId", tplId);
        } else {
            params.put("SmsType", SmsType);
        }
        return params;
    }
}
